package com.mosty.bkzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.bkzx.TbBkClInsertDto;
import com.mosty.base.model.dto.bkzx.TbBkClJudgeDto;
import com.mosty.base.model.entity.bkzx.TbBkCl;
import com.mosty.base.model.query.bkzx.TbBkClSearchDto;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author dw
 * @since 2022/7/13
 * 车辆布控服务类
 **/
public interface TbBkClService {

    @ApiOperation("新增布控车辆")
    int addEntity(TbBkClInsertDto dto);

    @ApiOperation("分页查询车辆布控列表")
    IPage<TbBkCl> getPageList(TbBkClSearchDto dto);

    @ApiOperation("查询布控车辆详情")
    TbBkCl getInfo(String id);

    @ApiOperation("修改布控车辆")
    int editCar(TbBkClInsertDto dto);

    @ApiOperation("删除和批量删除布控车辆")
    int delCar(List<String> ids);

    @ApiOperation("结束布控")
    int endBk(String id);

    @ApiOperation("重新布控")
    int startBk(String id);

    @ApiOperation("布控车辆审批")
    int judge(TbBkClJudgeDto dto);
}
